import os
import shutil

import pytest


def test_script_generate_attribution_maps():
    # Caution! make sure the config is adjusted properly to run tests! otherwise too slow/ overwrite important data
    run_ret = os.system(
        "python scripts/generate_attribution_maps.py --config configs/generate_attribution_synthetic_model.yml")
    assert run_ret == 0, "Test on script generate_attribution_maps failed!"


def test_script_ground_truth_evaluation():
    # TODO add later, not urgently needed for now
    pass


def test_script_learn_modulo_model():
    # test with 5 epoch learning
    # TODO lightning log is not cleaned after this test, which means additional trash file after each time of test!
    run_ret = os.system("python scripts/learn_modulo_model.py --num-epochs 5 --device 0")
    assert run_ret == 0, "Test on script generate_attribution_maps failed!"


def test_script_learn_synthetic_data():
    # test with one training epoch
    # TODO lightning log is not cleaned after this test, which means additional trash file after each time of test!
    run_ret = os.system(
        "python scripts/learn_synthetic_data.py --data-root tests/test_data/synthetic_dataset "
        "--num-classes 30 --num-epochs 1 --device 0")
    assert run_ret == 0, "Test on script generate_attribution_maps failed!"


def test_script_make_synthetic_dataset():
    run_ret = os.system(
        "python scripts/make_synthetic_dataset.py --save-path tests/test_data/test_make_synthetic_dataset "
        "-s 10")
    # clean up created folder
    if os.path.exists("tests/test_data/test_make_synthetic_dataset"):
        shutil.rmtree("tests/test_data/test_make_synthetic_dataset")
    assert run_ret == 0, "Test on script generate_attribution_maps failed!"
